import { jsx } from "react/jsx-runtime";
import { Token2DAI as Token2DAI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Token2DAI = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "2DAI", "data-name": "Token2DAI", ...props, children: /* @__PURE__ */ jsx(Token2DAI$1, { variant }) });
  }
);
Token2DAI.displayName = "Token2DAI";
Object.assign(Token2DAI, { isGdsIcon: true });
export {
  Token2DAI
};
